###--- >>> `max.depth.line' <<<----- Lines with maximum depth and MAD depending on the location

	## alias	 help(distribution.max.depth.line)
	## alias	 help(distribution.MAD.line)
	## alias	 help(distribution.MAD)
	## alias	 help(sample.max.depth.line)
	## alias	 help(sample.MAD.line)
	## alias	 help(add.max.depth.MAD.lines)

##___ Examples ___:


 normal.depth.contours<-distribution.depth.contours(lengthmu=1000)
 plot.depth.contours(normal.depth.contours)
 normal.max.depth.line<-distribution.max.depth.line(mu.min=-1.5,mu.max=1.5,lengthmu=100)
 normal.MAD.line<-distribution.MAD.line(mu.min=-1.5,mu.max=1.5,lengthmu=100)
 add.max.depth.MAD.lines(normal.max.depth.line)
 add.max.depth.MAD.lines(MAD.line=normal.MAD.line)

 y<-rt(100,1)
 y.depth.contours<-sample.depth.contours(y=y,lengthmu=1000)
 plot.depth.contours(y.depth.contours)
 y.max.depth.line<-sample.max.depth.line(y=y)
 y.MAD.line<-sample.MAD.line(y=y)
 add.max.depth.MAD.lines(y.max.depth.line,y.MAD.line)

 
## Keywords: 'Student depth', 'location-scale', 'maximum depth for given location', 'MAD'.


